Mailinglist Archive: opensuse-factory (602 mails)

< Previous Next >
Re: [opensuse-factory] dozens of unwanted packages !


W dniu 02.02.2019 o 12:34, Knurpht-openSUSE pisze:
Op zaterdag 2 februari 2019 12:26:31 CET schreef Daniele:
Il 02/02/19 12:20, Carlos E. R. ha scritto:
On 02/02/2019 12.16, Daniele wrote:
Il 02/02/19 10:32, Jan Engelhardt ha scritto:
xorg-x11.spec:Recommends: xeyes

Guess someone's holding on to the fvwm2+eyes classic desktop.

Xeyes is only an example. xload, xman, xmag, xedit...
Who want to install xorg-x11 ? Why ?

Everyone that uses openSUSE in graphics mode, AFAIK.

For sure not me.
In 20 years I've never used one of these.
Do you really want Xeyes and Xmag ?

Daniele.
If you're that sure, remove xorg-x11 and see if your desktop still works.
Don't complain if it doesn't.


For years it worked. If it doesn't then it's a bug. If some other
package *requires* a command line tool like xrandr or xdpyinfo, then
obviously it should be required by that package.

xorg-x11 is a "compatibility metapackage" that *recommends* some other
packages, which just happens to be by default installed by zypper dup.
If deinstalling this breaks my desktop, I will complain.

--
Adam Mizerski

< Previous Next >